<?php
  
/*
-------------------------
Функция пагинации страниц
-------------------------
*/

//Выводит текущую страницу
FUNCTION PAGE($data = 1)
{ 
  
  $page = 1;
  
  IF (GET('page') == 'end'){ 
    
    $page = INTVAL($data); 
  
  }ELSEIF (IS_NUMERIC(GET('page'))){ 
    
    $page = INTVAL(GET('page'));
  
  }
  
  IF ($page < 1){ $page = 1; }
  
  IF ($page > $data){ $page = $data; }
  
  RETURN $page;

}

// Определяет кол-во страниц
FUNCTION SPAGE($data = 0, $data_str = 10)
{ 
  
  IF ($data != 0) {
    
    $v_pages = CEIL($data / $data_str);
    
    RETURN $v_pages;
  
  }ELSE{ 
    
    RETURN 1;
    
  }
  
}

// Вывод номеров страниц 
FUNCTION STR_PAGE($link2 = '?', $data = 1, $page = 1) {
  
  IF ($page < 1) {
    
    $page = 1;
  
  }
  
  $link = $link2;
  
  ECHO "<div class='list'>"; 
  
  IF (POST('list-page')){
    
    $list_page = INTVAL(POST('list-page'));
    
    $data2 = ''.$link.'page='.$list_page.'';
    
    REDIRECT("".$data2."");
  
  }

  ECHO "<form method='post' class='form' action='".$link."'>";
  
  ECHO "<input type='text' name='list-page' placeholder='№' class='form-control-page'> ";
  
  HTML::BUTTON('btn-page ajax-button', 'ok', NULL, 'Вперед');
  
  ECHO "</form>";
  
  IF ($page != 1) {
    
    ECHO " <a class='btn-page' href='" . $link . "page=1' title='Страница 1'>".ICONS('angle-left', 20)."</a> ";
  
  }
  
  IF ($page != 1) {
    
    ECHO " <a class='btn-page' href='" . $link . "page=1' title='Страница 1'>1</a> ";
  
  }ELSE{
    
    ECHO " <span class='btn-page-o'>1</span> ";
  
  }
  
  FOR ($ot = -2; $ot <= 2; $ot++){
    
    IF ($page + $ot > 1 && $page + $ot < $data) {
      
      IF ($ot == -2 && $page + $ot > 2) {
        
        ECHO NULL;
      
      }
      
      IF ($ot != 0) {
        
        ECHO " <a class='btn-page' href='".$link."page=".($page + $ot)."' title='Страница ".($page + $ot)."'>".($page + $ot)."</a> ";
      
      }ELSE{
        
        ECHO " <span class='btn-page-o'>" . ($page + $ot) . "</span> ";
      
      }
      
      IF ($ot == 2 && $page + $ot < $data - 1) {
        
        ECHO NULL;
      
      }
    
    }
  
  }
  
  IF ($page != $data) {
    
    ECHO " <a class='btn-page' href='".$link."page=end' title='Страница ".$data."'>".$data."</a> ";
  
  }ELSEIF ($data > 1) {
    
    ECHO " <span class='btn-page-o'>".$data."</span> ";
  
  }
  
  IF ($page != $data) {
    
    ECHO " <a class='btn-page' href='".$link."page=end' title='Последняя страница'>".ICONS('angle-right', 20)."</a> ";
  
  }
  
  ECHO "</div>";
    
}

?>